# Get route information

## Route inquiry

> Retrieve data for a route.

```json
{"openapi":"3.0.0","info":{"title":"Shippify Api","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Development server"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"getRoute":{"successfullResponse":{"type":"object","description":"Information of the consulted route","properties":{"payload":{"type":"object","properties":{"route":{"type":"object","properties":{"id":{"type":"string","description":"Identifier of the route in shippify."},"city":{"type":"object","description":"Information of the city where the route's deliveries are collected","properties":{"id":{"type":"string","description":"Identifier of the city in Shippify"},"name":{"type":"string","description":"Name of the city"}}},"deliveries":{"type":"array","description":"Deliveries belonging to the consulted route","items":{"type":"object","properties":{"id":{"type":"string","description":"Identifier of the delivery in shippify"},"referenceId":{"type":"string","description":"External identifier of the delivery, it can be the order number"},"state":{"description":"Delivery status code","type":"integer","minimum":1,"maximum":7},"status":{"type":"string","description":"Name of the delivery status"},"company":{"type":"object","description":"Company information of the delivery.","properties":{"id":{"description":"Company identifier.","type":"integer","minimum":1},"name":{"type":"string","description":"Company name."}}},"pickup":{"description":"Pickup information","type":"object","properties":{"location":{"$ref":"#/components/schemas/delivery/location"},"timeWindow":{"type":"object","description":"Date and time range for the pickup of the delivery.","properties":{"start":{"type":"string"},"end":{"type":"string"}}},"contact":{"$ref":"#/components/schemas/delivery/contact"}}},"dropoff":{"description":"Delivery information","type":"object","properties":{"location":{"$ref":"#/components/schemas/delivery/location"},"timeWindow":{"type":"object","description":"Date and time range for the delivery of the packages.","properties":{"start":{"type":"string"},"end":{"type":"string"}}},"contact":{"$ref":"#/components/schemas/delivery/contact"}}},"fare":{"type":"object","description":"Delivery values","properties":{"service":{"type":"number","description":"Delivery price"},"cash":{"type":"number","description":"Value that the driver must collect from the client upon completing the delivery"},"currencyCode":{"type":"string","description":"Currency of the delivery values"}}},"packages":{"type":"object","description":"Delivery packages","properties":{"capacity":{"description":"Delivery capacity","type":"integer","minimum":1,"maximum":5},"contents":{"description":"Packages information.","type":"array","items":{"$ref":"#/components/schemas/delivery/package"}}}},"tags":{"description":"Digital tag names","type":"array","items":{"description":"Name of digital tag","type":"string","maxLength":50}},"receiver":{"description":"Recipient contact information","$ref":"#/components/schemas/delivery/contact"},"chargedDistance":{"description":"Charged distance","type":"number","minimum":0},"routeDistance":{"description":"Route distance","type":"number","minimum":0},"deliveryType":{"description":"Delivery type","type":"string","enum":["flex","express","slot"]},"jobId":{"description":"Identifier of the external process that was created","type":"string"}}}},"status":{"type":"string","description":"Name of the route status"},"minimumCapacity":{"description":"Minimum route capacity","type":"integer","minimum":1,"maximum":5},"stepIds":{"type":"array","description":"Ordered steps of the route.","items":{"type":"object","properties":{"deliveryId":{"description":"Delivery identifier","type":"string"},"activityType":{"description":"Type of step, can be pickup or dropoff","type":"string"}}}}}}}}}}},"delivery":{"location":{"description":"Address information of the pickup location of the delivery packages.","type":"object","required":["address"],"properties":{"address":{"description":"Delivery address.","type":"string"},"instructions":{"description":"Extra information about the address.","type":"string"},"lat":{"description":"Latitude of the pickup point.","type":"string"},"lng":{"description":"Longitude of the pickup point.","type":"string"}}},"contact":{"description":"Contact information of the person responsible for delivering the packages at the pickup warehouse.","type":"object","required":["name","email"],"properties":{"name":{"description":"Name of the responsible person.","type":"string"},"email":{"description":"Email of the responsible person.","type":"string","format":"email"},"phonenumber":{"description":"Phone number of the responsible person.","type":"string"}}},"package":{"type":"object","required":["name","qty","size"],"properties":{"id":{"type":"string","description":"Package identifier"},"name":{"type":"string","description":"Package name"},"qty":{"description":"Number of packages in the order (not the number of products inside the package).","type":"integer","minimum":0},"weight":{"description":"Unit weight * quantity in Kg","type":"number","minimum":0},"size":{"description":"Package size","type":"string","enum":["xs","s","m","l","xl"]},"price":{"description":"Unit price * quantity in the currency of the company","type":"number","minimum":0}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v1/routes/{id}":{"get":{"tags":["Routes"],"summary":"Route inquiry","description":"Retrieve data for a route.","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getRoute/successfullResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"parameters":[{"name":"id","in":"path","description":"Identifier of the route to query.","required":true,"schema":{"type":"string"}}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shippify.co/developers/en/shippify-api/routes/get-route-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
